Desarrolladores
Verificar un endpoint de webhook
POST
Envía un desafío webhook.verification firmado a un endpoint sin verificar, que debe devolverlo; si lo hace, el endpoint queda activo. Un fallo responde 400 con details.reason.
header
AutorizaciónBearer <token>Una API Key creada en la configuración de la cuenta, enviada como Authorization: Bearer <key>. Incluye los Scopes seleccionados al crearla.
endpointId*stringLongitud
1 <= lengthCorrecto.
application/json- response
id*stringurl*stringeventTypes*array<>status*stringValor en
"unverified""active""disabled"createdAt*stringPatrón
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Formato
date-timeupdatedAt*stringPatrón
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Formato
date-timecurl -X POST 'https://ximagesplitter.com/api/v1/webhooks/endpoints/string/verify'Respuesta de ejemplo
{
"id": "string",
"url": "string",
"eventTypes": [
"generation.queued"
],
"status": "unverified",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}